Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
PlacePin

### Name

PlacePin - Places a pin

### Synopsys

    PlacePin ( net, layer, direction, point, width, height )

### Description

Placement of a pin.
The pin is located at the coodinates of `point`, on the layer `layer`, has a a direction of `direction` and size of 1 per 1. It belongs to the net `net`.

### Parameters

- `net` : Net which the pin belongs to
- `layer` : Layer of the segment.
  The `layer` argument is a string wich can take different values, thanks to the technology (file described in HUR_TECHNO_NAME)
  - NWELL, PWELL, ptie, ntie, pdif, ndif, ntrans, ptrans, poly, ALU1, ALU2, ALU3, ALU4, ALU5, ALU6, VIA1, VIA2, VIA3, VIA4, VIA5, TEXT, UNDEF, SPL1, TALU1, TALU2, TALU3, TALU4, TALU5, TALU6, POLY, NTIE, PTIE, NDIF, PDIF, PTRANS, NTRANS, CALU1, CALU2, CALU3, CALU4, CALU5, CALU6, CONT_POLY, CONT_DIF_N, CONT_DIF_P, CONT_BODY_N, CONT_BODY_P, via12, via23, via34, via45, via56, via24, via25, via26, via35, via36, via46, CONT_TURN1, CONT_TURN2, CONT_TURN3, CONT_TURN4, CONT_TURN5, CONT_TURN6
- `direction` : Direction of the pin
  - UNDEFINED, NORTH, SOUTH, EAST, WEST
- `point` : Coodinates of the pin
- `width` : Width of the pin
- `height` : Height of the pin

### Example

    PlacePin ( myNet, "ALU2", NORTH, XY (10, 0), 2, 2 )

### Errors

Some errors may occur :

- `[Stratus ERROR] PlacePin : Argument layer must be a string.`
- `[Stratus ERROR] PlacePin : Illegal pin access direction.`
  `The values are : UNDEFINED, NORTH, SOUTH, EAST, WEST.`
- `[Stratus ERROR] PlacePin : Wrong argument,`
  `the coordinates of the pin must be put in a XY object.`

### See Also

Introduction Layout PlaceSegment PlaceContact PlaceRef GetRefXY CopyUpSegment